//---------------------------------------------------------------------------
#ifndef MainH
#define MainH
//---------------------------------------------------------------------------
#include <stdlib.h>
#include <stdio.h>
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <IniFiles.hpp>
#include "cspin.h"
#include <Mask.hpp>
#include "GSpin.h"
#include "cgauges.h"
#include "systray.h"
#include <Menus.hpp>
#include "Options.h"
//---------------------------------------------------------------------------
class TMainForm : public TForm
{
__published:	// IDE-managed Components
    TPanel *Panel1;
    TPanel *Panel2;
    TLabel *Label1;
    TLabel *Label2;
    TLabel *Label3;
    TLabel *Label4;
    TLabel *Label5;
    TLabel *Label6;
    TLabel *Label7;
    TLabel *Label8;
    TLabel *Label9;
    TDateTimePicker *StartDateTime;
    TDateTimePicker *EndDateTime;
    TButton *CloseButton;
    TButton *HideButton;
    TButton *CompactButton;
    TTimer *TheTimer;
    TMaskEdit *TotalHoursEdit;
    TCSpinButton *CSpinButton1;
    TCGauge *MainProgressBar;
    TSysTray *WorkTimeTrayIcon;
    TPopupMenu *TrayPopupMenu;
    TMenuItem *ShowBtn;
    TMenuItem *CloseBtn;
    TMaskEdit *RemTimeLabel;
    TMaskEdit *ElapseLabel;
    TButton *OptionsBtn;
    TPanel *PayPanel;
    TMaskEdit *EarnedMaskEdit;
    TLabel *Label10;
    TLabel *Label11;
    TButton *HidePayBtn;
    TLabel *Label12;
    TMaskEdit *TotalMaskEdit;
    TPanel *Panel3;
    TLabel *Label13;
    TMaskEdit *MonthTotalDayzMaskEdit;
    TPanel *Panel4;
    TLabel *Label14;
    TMaskEdit *TotalDayzMaskEdit;
    TPanel *Panel5;
    TLabel *Label15;
    TMaskEdit *SecondsMaskEdit;
    void __fastcall CloseButtonClick(TObject *Sender);
    void __fastcall HideButtonClick(TObject *Sender);
    void __fastcall TotalHoursEditChange(TObject *Sender);
    
    void __fastcall StartDateTimeChange(TObject *Sender);
    void __fastcall EndDateTimeChange(TObject *Sender);
    
    void __fastcall TheTimerTimer(TObject *Sender);
    void __fastcall FormCreate(TObject *Sender);
    void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
    void __fastcall CompactButtonClick(TObject *Sender);
    void __fastcall CSpinButton1DownClick(TObject *Sender);
    void __fastcall CSpinButton1UpClick(TObject *Sender);
    void __fastcall CloseBtnClick(TObject *Sender);
    void __fastcall ShowBtnClick(TObject *Sender);
    
    void __fastcall OptionsBtnClick(TObject *Sender);
    void __fastcall HidePayBtnClick(TObject *Sender);
    void __fastcall FormShow(TObject *Sender);
private:	// User declarations
public:		// User declarations
    __fastcall TMainForm(TComponent* Owner);
    void __fastcall WriteIni();
    void __fastcall ReadIni();
    void __fastcall CalcDaysLeft();
    void __fastcall CalcIQuitDaysLeft();
};
//---------------------------------------------------------------------------
extern PACKAGE TMainForm *MainForm;

//---------------------------------------------------------------------------
#endif
